#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  Konsole-24.12.2

- Next

  libkexiv2-24.12.2

- Up
- Home

# konversation-24.12.2

## Introduction to konversation

The konversation package is a KF6 based IRC client.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/konversation-24.12.2.tar.xz

- Download MD5 sum: a7eee4efc2a59ca2a38540c1553d88ec

- Download size: 4.2 MB

- Estimated disk space required: 69 MB

- Estimated build time: 0.7 SBU (using parallelism=4)

### konversation Dependencies

#### Required

KDE Frameworks-6.11.0

## Installation of konversation

Install konversation by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: konversation
Installed Libraries: None
Installed Directories: $KF6_PREFIX/share/doc/HTML/*/konversation, and $KF6_PREFIX/share/konversation

### Short Descriptions

konversation | is an IRC client

- Prev

  Konsole-24.12.2

- Next

  libkexiv2-24.12.2

- Up
- Home